<h3>Add User</h3>
<form [formGroup]="registerUserForm" class="form" (ngSubmit)="onSubmit()">
  <div class="container-edit">
    <label for="firstname"> </label>
    <div class="input-group input-group-sm mb-3">
      <div class="input-group-prepend">
        <span class="input-group-text" id="inputGroup-sizing-sm">First Name</span>
      </div>
      <input
        formControlName="firstname"
        id="firstnameInput"
        minlength="3"
        placeholder="Enter your first name"
        type="text"
        class="form-control"
        required
      />
    </div>
    <div
      *ngIf="
        registerUserForm.controls['firstname'].invalid &&
        (registerUserForm.controls['firstname'].dirty || registerUserForm.controls['firstname'].touched)
      "
    >
      <div class="alert alert-danger">
        <div *ngIf="registerUserForm.controls['firstname'].invalid">First name field is required</div>
      </div>
      <div *ngIf="registerUserForm.controls['firstname'].invalid" class="invalid-feedback">
        Minimum characters for firstname is 2
      </div>
    </div>
    <div class="input-group input-group-sm mb-3">
      <div class="input-group-prepend">
        <span class="input-group-text" id="inputGroup-sizing-sm">Last Name</span>
      </div>
      <input
        formControlName="lastname"
        type="text"
        class="form-control"
        aria-label="FirstName"
        aria-describedby="inputGroup-sizing-sm"
        placeholder="Enter your last name"
        required
      />
    </div>
    <div
      *ngIf="
        registerUserForm.controls['lastname'].invalid &&
        (registerUserForm.controls['lastname'].dirty || registerUserForm.controls['lastname'].touched)
      "
    >
      <div class="alert alert-danger">
        <div *ngIf="registerUserForm.controls['lastname'].invalid">Last name field is required</div>
      </div>
      <div *ngIf="registerUserForm.controls['lastname'].invalid" class="invalid-feedback">
        Minimum characters for firstname is 2
      </div>
    </div>
    <div class="input-group input-group-sm mb-3">
      <div class="input-group-prepend">
        <span class="input-group-text" id="inputGroup-sizing-sm">@</span>
      </div>
      <input
        formControlName="emailaddress"
        type="text"
        class="form-control"
        aria-label="email"
        aria-describedby="inputGroup-sizing-sm"
        placeholder="Enter your email address"
        required
      />
    </div>
    <div
      *ngIf="
        registerUserForm.controls['emailaddress'].invalid &&
        (registerUserForm.controls['emailaddress'].dirty || registerUserForm.controls['emailaddress'].touched)
      "
    >
      <div class="alert alert-danger">
        <div *ngIf="registerUserForm.controls['emailaddress'].invalid">Email address field is required</div>
      </div>
    </div>
    <div class="input-group input-group-sm mb-3">
      <div class="input-group-prepend">
        <span class="input-group-text" id="inputGroup-sizing-sm">Password</span>
      </div>
      <input
        formControlName="password"
        type="password"
        class="form-control"
        aria-label="Password"
        aria-describedby="inputGroup-sizing-sm"
        placeholder="Enter your password"
        required
      />
    </div>
    <div
      *ngIf="
        registerUserForm.controls['password'].invalid &&
        (registerUserForm.controls['password'].dirty || registerUserForm.controls['password'].touched)
      "
    >
      <div class="alert alert-danger">
        <div *ngIf="registerUserForm.controls['lastname'].invalid">Password field is required</div>
      </div>
    </div>
    <div class="container container-gender-check">
      <div class="form-group">
        <div class="row">
          <div class="col-3"></div>
          <div class="col-3">
            <label class="radio inline">
              <input
              formControlName="userGender" type="radio" name="userGender" value="Male" checked />
              <span> Male </span>
            </label>
          </div>
          <div class="col-4">
            <label class="radio inline">
              <input formControlName="userGender" type="radio" name="userGender" value="Female" />
              <span>Female </span>
            </label>
          </div>
        </div>
      </div>
      <div class="input-group">
        <div class="input-group-prepend">
          <div class="input-group-text">
            <input type="radio" aria-label="Radio button for following text input" />
          </div>
        </div>
        <input
          type="text"
          class="form-control"
          aria-label="Text input with radio button"
          placeholder="Other"
        />
      </div>
    </div>
    <div class="input-group input-group-sm mb-3">
      <div class="input-group-prepend">
        <span class="input-group-text" id="inputGroup-sizing-sm">Birth date</span>
      </div>
      <input
        formControlName="birthdate"
        type="date"
        class="form-control"
        aria-describedby="inputGroup-sizing-sm"
        placeholder="Select your birth date"
        required
      />
    </div>
    <div
      *ngIf="
        registerUserForm.controls['birthdate'].invalid &&
        (registerUserForm.controls['birthdate'].dirty || registerUserForm.controls['birthdate'].touched)
      "
    >
      <div class="alert alert-danger">
        <div *ngIf="registerUserForm.controls['birthdate'].invalid">Birth date field is required</div>
      </div>
    </div>
    <br />
    <button type="submit" class="btn btn-success" [disabled]="registerUserForm.invalid">Save</button>
  </div>
</form>
